Bug 190349 - FreeRadius SNMP support is not built
FreeRadius SNMP support is not built
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: freeradius (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-01 10:55 EDT by Matt Dainty
Modified: 2008-08-25 15:29 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHEL 5.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-25 15:29:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Dainty 2006-05-01 10:55:48 EDT
Description of problem:

FreeRadius doesn't appear to have the SNMP support enabled. I tried enabling the SMUX support in my 
snmpd.conf and enabled the relevant options in radiusd.conf and snmp.conf, yet I couldn't walk the 
freeradius subtree.

Looking at the radiusd binary and the libradius.so, neither appear to have been linked to the net-snmp 
libraries. The freeradius RPM doesn't list net-snmp-libs as a dependency either, although it *does* list 
net-snmp and net-snmp-utils.

Grabbing the SRPM and attempting to compile it shows that the configure script doesn't successfully 
locate the asn1.h, snmp.h and snmp_impl.h header files. It tries looking for, and successfully locates 
the ucd-snmp "compat" copies, which now just have an #error pragma in them causing the test to fail.

We list net-snmp-devel as a BuildRequires: in the freeradius.spec file so I assume we do mean to 
compile in the support.

Version-Release number of selected component (if applicable):

freeradius-1.0.1-3.RHEL4.3
Comment 1 Thomas Woerner 2006-06-07 09:25:24 EDT
Please have a look at http://people.redhat.com/twoerner/BZ/190349/

----
Please remeber that these are test packages, which might get pushed out as 
update packages later if the fixes are ok. For now, these packages are
unsupported.

Comment 2 Matt Dainty 2006-08-02 04:51:11 EDT
(Hmm, I could swear I'd already left comments out this)

The packages do now have SNMP support, although I had to rebuild the SRPM for
x86-64.

I have set up snmpd.conf appropriately and upon restarting freeradius I can see
it register itself. However, as soon as I try and walk any of the radius MIB, my
query times out and snmpd becomes unresponsive to any further requests.

If I either remove the configuration from snmpd to stop freeradius registering
itself or just not walk the radius MIB, everything works fine.

So, I guess this bug is technically fixed. Should I raise a different one for it
not working?
Comment 8 Thomas Woerner 2007-01-22 13:41:37 EST
I have abolsutely no problem walking the freeradius information.
Setup according to http://wiki.freeradius.org/SNMP_HOWTO
Comment 15 Thomas Woerner 2007-07-17 09:08:48 EDT
Matt: PLease use '-t 30' for snmpwalk. snmpd gets slow, if there are more
domains to analyze.
Comment 16 Red Hat Bugzilla 2007-09-17 01:22:35 EDT
transferred from Thomas Woerner to John Dennis, requested by Steve Grubb.
Comment 18 Ben Levenson 2008-02-18 21:05:32 EST
additional work is needed. the proposed fix is working only on 32b
Comment 21 Daniel Riek 2008-08-25 15:21:09 EDT
This is planned to be addressed for RHEL 5 in bug 447669 .

There currently is no plan to backport the changes to RHEL 4 given a solution is available with RHEL 5.
Comment 22 RHEL Product and Program Management 2008-08-25 15:29:52 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.